#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qterminal
Version		:	1.4.0
Release		:	17.2.0.rel%{?dist}
Summary		:	%{name} is a lightweight Qt terminal emulator based on qtermwidget

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/qterminal/qterminal


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	lxqt-build-tools
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-qttools-devel
BuildRequires	:	qtermwidget >= %{version}

#-----------------------------------------------------------------------------
%description
'%{name}' is a lightweight Qt terminal emulator based on qtermwidget

It is maintained by the LXQt project but can be used independently
from this desktop environment. The only bonds are lxqt-build-tools
representing a build dependency and the localization files which
were outsourced to LXQt.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/%{name}/%{name}_bookmarks_example.xml
%{_datadir}/metainfo/%{name}.metainfo.xml

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-S .						\
	-D CMAKE_BUILD_TYPE="Release"			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}		\
	-D PULL_TRANSLATIONS=no				\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
